import request from "@/utils/request";

//企业列表展示
export function getFirmList(data){
  return request({
    url:"/electronic/firmmanage/firmmessageList",
    method: "POST",
    data: data
  })
}

//企业新增
export function addfirm(data){
  return request({
    url:"/auth/register",
    method: "POST",
    data: data
  })
}

//权限分配
export function givepermission(data){
  return request({
    url:"/electronic/permission/updpermission",
    method: "POST",
    data: data
  })
}

//获取权限等级列表
export function getpermission(data){
  return request({
    url:"/electronic/permission/permissionlist",
    method: "POST",
    data: data
  })
}

//完成企业权限新增
export function addpermission(data){
  return request({
    url:"/electronic/permission/addpermission",
    method: "POST",
    data: data
  })
}

//完成企业权限修改
export function updpermission(data){
  return request({
    url:"/electronic/permission/updpermission",
    method: "POST",
    data: data
  })
}

